# Parameter (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.data
Class Parameter

    java.lang.Object
      com.threerings.parlor.data.Parameter

All Implemented Interfaces:
  com.threerings.io.Streamable

Direct Known Subclasses:
  ChoiceParameter, RangeParameter, ToggleParameter

    public abstract class Parameter

extends Object
implements com.threerings.io.Streamable

Defines a configuration parameter for a game. Various derived classes exist that define particular types of configuration parameters including choices, toggles, ranges, etc.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`String` `ident` A string identifier that names this parameter.
`String` `name` A human readable name for this configuration parameter.
`String` `tip` A human readable tooltip to display when the mouse is hovered over this configuration parameter.

Constructor Summary
`Parameter()`

Method Summary
`abstract Object` `getDefaultValue()` Returns the default value of this parameter.
`abstract String` `getLabel()` Returns the translation key for this parameter's label.
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ident

    public String ident

  A string identifier that names this parameter.

### name

    public String name

  A human readable name for this configuration parameter.

### tip

    public String tip

  A human readable tooltip to display when the mouse is hovered over this configuration parameter.

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### getLabel

    public abstract String getLabel()

  Returns the translation key for this parameter's label.

### getDefaultValue

    public abstract Object getDefaultValue()

  Returns the default value of this parameter.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2011. All Rights Reserved.